Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1367024

Summary: VM pool creation task can't finish
Product: Red Hat Enterprise Virtualization Manager Reporter: Olimp Bockowski <obockows>
Component: ovirt-engineAssignee: Liron Aravot <laravot>
Status: CLOSED DUPLICATE QA Contact: meital avital <mavital>
Severity: high Docs Contact:
Priority: unspecified    
Version: 3.6.7CC: amureini, emesika, gklein, laravot, lsurette, obockows, rbalakri, Rhev-m-bugs, srevivo, tjelinek, ykaul
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-18 12:42:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Storage RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1310426    
Bug Blocks:    
Attachments:
Description Flags
engine.log none

Description Olimp Bockowski 2016-08-15 09:45:46 UTC
Description of problem:
There is problem with task status when someone wants to create VM Pool.
Although VM Pool with VMs are created, task is still reported as pending at "Executing" / "Finalizing" stage. 
In engine DB in job table creating VM Pool (action_type AddVmPoolWithVms) is reported as STARTED. 

Version-Release number of selected component (if applicable):
RHEV 3.6.7 

How reproducible:
100% - every time we try to create VM Pool

Steps to Reproduce:
1. create VM Pool: VM Pool tab / click New / pick up template and click ok
2. VM Pool is created, VMs are created
3. task is still pending, in engine DB status is STARTED

Actual results:
task are "finalizing" 

Expected results:
after VM pool and VM successful creation task should be removed.

Comment 1 Tomas Jelinek 2016-08-15 12:36:09 UTC
could you please provide the engine.log for the relevant timeframe?

Comment 2 Olimp Bockowski 2016-08-15 13:23:24 UTC
Created attachment 1190913 [details]
engine.log

correlation id in engine DB: 78e51ff7

Comment 4 Allon Mureinik 2016-08-16 08:49:33 UTC
Liron - didn't you recently handle a similar issue?